CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
SynchronizedObject Class Reference

Base class for synchronized object. More...

`#include <SynchronizedObject.h>`

Inheritance diagram for SynchronizedObject:

## Classes

class | ExclusiveZone
| Locks a synchronization object in the current scope. More...
class | SynchronizationObject
| Abstract synchronization object (mutex) More...

## Public Member Functions

| SynchronizedObject (SynchronizationObject *syncObject=0)
virtual | ~SynchronizedObject ()
| Destructor. More...

## Protected Member Functions

virtual void | setSynchronizationObject (SynchronizationObject *syncObject)
| Accept a new synchronization object for protection of this instance TestResult assumes ownership of the object. More...

## Protected Attributes

SynchronizationObject * | m_syncObject

## Private Member Functions

| SynchronizedObject (const SynchronizedObject &copy)
| Prevents the use of the copy constructor. More...
void | operator= (const SynchronizedObject &copy)
| Prevents the use of the copy operator. More...

## Detailed Description

Base class for synchronized object.

Synchronized object are object which members are used concurrently by mutiple threads.

This class define the class SynchronizationObject which must be subclassed to implement an actual lock.

Each instance of this class holds a pointer on a lock object.

See src/msvc6/MfcSynchronizedObject.h for an example.

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN SynchronizedObject::SynchronizedObject | ( | SynchronizationObject * | syncObject = `0` | ) |

Constructs a SynchronizedObject object.

SynchronizedObject::~SynchronizedObject | ( |  | ) |

virtual

Destructor.

SynchronizedObject::SynchronizedObject | ( | const SynchronizedObject & | copy | ) |

private

Prevents the use of the copy constructor.

## Member Function Documentation

void SynchronizedObject::operator= | ( | const SynchronizedObject & | copy | ) |

private

Prevents the use of the copy operator.

void SynchronizedObject::setSynchronizationObject | ( | SynchronizationObject * | syncObject | ) |

protected virtual

Accept a new synchronization object for protection of this instance TestResult assumes ownership of the object.

## Member Data Documentation

SynchronizationObject* SynchronizedObject::m_syncObject

protected

The documentation for this class was generated from the following files:

- SynchronizedObject.h
- SynchronizedObject.cpp

| Send comments to: CppUnit Developers